diff --git a/changelog b/changelog
index aa128b6..0bc440d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080504 tpd src/input/schaum18.input post-mortem fixes
 20080502 tpd src/input/schaum17.input post-mortem fixes
 20080501 tpd src/input/schaum16.input post-mortem fixes
 20080501 tpd src/input/schaum13.input post-mortem fixes
diff --git a/src/input/schaum18.input.pamphlet b/src/input/schaum18.input.pamphlet
index 95fceae..f01b63d 100644
--- a/src/input/schaum18.input.pamphlet
+++ b/src/input/schaum18.input.pamphlet
@@ -257,7 +257,7 @@ cc1:=aa-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 19     14:375 Axiom cannot simplify these expressions
+--S 19
 cc2:=aa-bb2
 --R
 --R   (5)
@@ -273,6 +273,15 @@ cc2:=aa-bb2
 --R                                                     Type: Expression Integer
 --E
 
+--S 20     14:375 Schaums and Axiom differ by a constant
+complexNormalize cc1
+--R
+--R        log(- 1)
+--R   (6)  --------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.376~~~~~$\displaystyle
@@ -286,7 +295,7 @@ $$
 <<*>>=
 )clear all
 
---S 20     14:376 Axiom cannot compute this integral
+--S 21     14:376 Axiom cannot compute this integral
 aa:=integrate(x/cos(a*x),x)
 --R 
 --R
@@ -306,7 +315,7 @@ $$
 <<*>>=
 )clear all
 
---S 21
+--S 22
 aa:=integrate(cos(a*x)^2,x)
 --R 
 --R
@@ -316,7 +325,7 @@ aa:=integrate(cos(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 22
+--S 23
 bb:=x/2+sin(2*a*x)/(4*a)
 --R
 --R        sin(2a x) + 2a x
@@ -325,7 +334,7 @@ bb:=x/2+sin(2*a*x)/(4*a)
 --R                                                     Type: Expression Integer
 --E
 
---S 23
+--S 24
 cc:=aa-bb
 --R
 --R        - sin(2a x) + 2cos(a x)sin(a x)
@@ -334,16 +343,17 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 24
+--S 25
 cossinrule:=rule(cos(b)*sin(a) == 1/2*(sin(a-b)+sin(a+b)))
+--R 
 --R
---I                           %S sin(b + a) - %S sin(b - a)
---I   (4)  %S cos(b)sin(a) == -----------------------------
+--I                           %M sin(b + a) - %M sin(b - a)
+--I   (4)  %M cos(b)sin(a) == -----------------------------
 --R                                         2
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 25     14:377 Schaums and Axiom agree
+--S 26     14:377 Schaums and Axiom agree
 dd:=cossinrule cc
 --R
 --R   (5)  0
@@ -359,7 +369,7 @@ $$
 <<*>>=
 )clear all
 
---S 26
+--S 27
 aa:=integrate(x*cos(a*x)^2,x)
 --R 
 --R
@@ -371,7 +381,7 @@ aa:=integrate(x*cos(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 27
+--S 28
 bb:=x^2/4+(x*sin(2*a*x))/(4*a)+cos(2*a*x)/(8*a^2)
 --R
 --R                                       2 2
@@ -382,7 +392,7 @@ bb:=x^2/4+(x*sin(2*a*x))/(4*a)+cos(2*a*x)/(8*a^2)
 --R                                                     Type: Expression Integer
 --E
 
---S 28
+--S 29
 cc:=aa-bb
 --R
 --R                                                                        2
@@ -393,16 +403,17 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 29
+--S 30
 cossinrule:=rule(cos(b)*sin(a) == 1/2*(sin(a-b)+sin(a+b)))
+--R 
 --R
---I                           %T sin(b + a) - %T sin(b - a)
---I   (4)  %T cos(b)sin(a) == -----------------------------
+--I                           %N sin(b + a) - %N sin(b - a)
+--I   (4)  %N cos(b)sin(a) == -----------------------------
 --R                                         2
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 30
+--S 31
 dd:=cossinrule cc
 --R
 --R                               2
@@ -413,16 +424,17 @@ dd:=cossinrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 31
+--S 32
 coscosrule:=rule(cos(a)*cos(b) == 1/2*(cos(a-b)+cos(a+b)))
+--R 
 --R
---I                           %U cos(b + a) + %U cos(b - a)
---I   (6)  %U cos(a)cos(b) == -----------------------------
+--R                           %O cos(b + a) + %O cos(b - a)
+--R   (6)  %O cos(a)cos(b) == -----------------------------
 --R                                         2
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 32
+--S 33
 ee:=coscosrule dd
 --R
 --R                               2
@@ -433,7 +445,7 @@ ee:=coscosrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 33
+--S 34
 cossqrrule1:=rule(cos(a)^2 == 1/2+1/2*cos(2*a))
 --R
 --R              2    cos(2a) + 1
@@ -442,7 +454,7 @@ cossqrrule1:=rule(cos(a)^2 == 1/2+1/2*cos(2*a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 34     14:378 Schaums and Axiom differ by a constant
+--S 35     14:378 Schaums and Axiom differ by a constant
 ff:=cossqrrule1 ee
 --R
 --R         1
@@ -461,7 +473,7 @@ $$
 <<*>>=
 )clear all
 
---S 35
+--S 36
 aa:=integrate(cos(a*x)^3,x)
 --R 
 --R
@@ -472,7 +484,7 @@ aa:=integrate(cos(a*x)^3,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 36
+--S 37
 bb:=sin(a*x)/a-sin(a*x)^3/(3*a)
 --R
 --R                  3
@@ -482,7 +494,7 @@ bb:=sin(a*x)/a-sin(a*x)^3/(3*a)
 --R                                                     Type: Expression Integer
 --E 
 
---S 37
+--S 38
 cc:=aa-bb
 --R
 --R                3            2
@@ -492,7 +504,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 38
+--S 39
 cossqrrule:=rule(cos(a)^2 == 1-sin(a)^2)
 --R
 --R              2            2
@@ -500,7 +512,7 @@ cossqrrule:=rule(cos(a)^2 == 1-sin(a)^2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 39     14:379 Schaums and Axiom agree
+--S 40     14:379 Schaums and Axiom agree
 dd:=cossqrrule cc
 --R
 --R   (5)  0
@@ -516,7 +528,7 @@ $$
 <<*>>=
 )clear all
 
---S 40
+--S 41
 aa:=integrate(cos(a*x)^4,x)
 --R 
 --R
@@ -527,7 +539,7 @@ aa:=integrate(cos(a*x)^4,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 41
+--S 42
 bb:=(3*x)/8+sin(2*a*x)/(4*a)+sin(4*a*x)/(32*a)
 --R
 --R        sin(4a x) + 8sin(2a x) + 12a x
@@ -536,7 +548,7 @@ bb:=(3*x)/8+sin(2*a*x)/(4*a)+sin(4*a*x)/(32*a)
 --R                                                     Type: Expression Integer
 --E 
 
---S 42     14:380 Axiom cannot simplify this expression
+--S 43
 cc:=aa-bb
 --R
 --R                                             3
@@ -545,6 +557,13 @@ cc:=aa-bb
 --R                                     32a
 --R                                                     Type: Expression Integer
 --E
+
+--S 44     14:380 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.381~~~~~$\displaystyle
@@ -555,7 +574,7 @@ $$
 <<*>>=
 )clear all
 
---S 43
+--S 45
 aa:=integrate(1/cos(a*x)^2,x)
 --R 
 --R
@@ -565,7 +584,7 @@ aa:=integrate(1/cos(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 44
+--S 46
 bb:=tan(a*x)/a
 --R
 --R        tan(a x)
@@ -574,7 +593,7 @@ bb:=tan(a*x)/a
 --R                                                     Type: Expression Integer
 --E 
 
---S 45
+--S 47
 cc:=aa-bb
 --R
 --R        - cos(a x)tan(a x) + sin(a x)
@@ -583,7 +602,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 46
+--S 48
 tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R
 --R                  sin(a)
@@ -592,7 +611,7 @@ tanrule:=rule(tan(a) == sin(a)/cos(a))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 47     14:381 Schaums and Axiom agree
+--S 49     14:381 Schaums and Axiom agree
 dd:=tanrule cc
 --R
 --R   (5)  0
@@ -609,7 +628,7 @@ $$
 <<*>>=
 )clear all
 
---S 48
+--S 50
 aa:=integrate(1/cos(a*x)^3,x)
 --R 
 --R
@@ -627,7 +646,7 @@ aa:=integrate(1/cos(a*x)^3,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 49
+--S 51
 bb:=sin(a*x)/(2*a*cos(a*x)^2)+1/(2*a)*log(tan(%pi/4+(a*x)/2))
 --R
 --R                2        2a x + %pi
@@ -639,7 +658,7 @@ bb:=sin(a*x)/(2*a*cos(a*x)^2)+1/(2*a)*log(tan(%pi/4+(a*x)/2))
 --R                                                     Type: Expression Integer
 --E 
 
---S 50     14:382 Axiom cannot simplify this expression
+--S 52
 cc:=aa-bb
 --R
 --R   (3)
@@ -654,6 +673,15 @@ cc:=aa-bb
 --R     2a
 --R                                                     Type: Expression Integer
 --E
+
+--S 53     14:382 Schaums and Axiom differ by a constant
+complexNormalize cc
+--R
+--R        log(- 1)
+--R   (4)  --------
+--R           2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.383~~~~~$\displaystyle
@@ -664,42 +692,43 @@ $$
 <<*>>=
 )clear all
 
---S 51
-aa:=integrate(cos(p*x)*cos(q*x),x)
---R 
+--S 54
+aa:=integrate(cos(a*x)*cos(p*x),x)
 --R
---R        q cos(p x)sin(q x) - p cos(q x)sin(p x)
+--R        p cos(a x)sin(p x) - a cos(p x)sin(a x)
 --R   (1)  ---------------------------------------
 --R                         2    2
---R                        q  - p
+--R                        p  - a
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 52
-bb:=(sin(a-p)*x)/(2*(a-p))+(sin(a+p)*x)/(2*(a+p))
+--S 55
+bb:=(sin((a-p)*x))/(2*(a-p))+(sin((a+p)*x))/(2*(a+p))
 --R
---R        (p - a)x sin(p + a) + (p + a)x sin(p - a)
---R   (2)  -----------------------------------------
---R                          2     2
---R                        2p  - 2a
+--R        (p - a)sin((p + a)x) + (p + a)sin((p - a)x)
+--R   (2)  -------------------------------------------
+--R                           2     2
+--R                         2p  - 2a
 --R                                                     Type: Expression Integer
 --E 
 
---S 53     14:383 Axiom cannot simplify this expression
+--S 56
 cc:=aa-bb
 --R
 --R   (3)
---R          2     2                           3     2
---R       (2p  - 2a )q cos(p x)sin(q x) + (- 2p  + 2a p)cos(q x)sin(p x)
---R     + 
---R                  2    3      2
---R       ((- p + a)q  + p  - a p )x sin(p + a)
+--R       (- p + a)sin((p + a)x) + 2p cos(a x)sin(p x) + (- p - a)sin((p - a)x)
 --R     + 
---R                  2    3      2
---R       ((- p - a)q  + p  + a p )x sin(p - a)
+--R       - 2a cos(p x)sin(a x)
 --R  /
---R        2     2  2     4     2 2
---R     (2p  - 2a )q  - 2p  + 2a p
+--R       2     2
+--R     2p  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57     14:383 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
 --R                                                     Type: Expression Integer
 --E
 @
@@ -712,7 +741,7 @@ $$
 <<*>>=
 )clear all
 
---S 54
+--S 58
 aa:=integrate(1/(1-cos(a*x)),x)
 --R 
 --R
@@ -722,21 +751,32 @@ aa:=integrate(1/(1-cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 55
-bb:=-1/a*cot(a*x)/2
+--S 59
+bb:=-1/a*cot((a*x)/2)
 --R
---R          cot(a x)
+--R              a x
+--R          cot(---)
+--R               2
 --R   (2)  - --------
---R             2a
+--R              a
 --R                                                     Type: Expression Integer
 --E
 
---S 56     14:384 Axiom cannot simplify this expression
+--S 60
 cc:=aa-bb
 --R
---R        cot(a x)sin(a x) - 2cos(a x) - 2
---R   (3)  --------------------------------
---R                   2a sin(a x)
+--R            a x
+--R        cot(---)sin(a x) - cos(a x) - 1
+--R             2
+--R   (3)  -------------------------------
+--R                   a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 61     14:384 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
 --R                                                     Type: Expression Integer
 --E
 @
@@ -750,38 +790,105 @@ $$
 <<*>>=
 )clear all
 
---S 57
-aa:=integrate(x/(1-cos(ax)),x)
---R 
+--S 62
+aa:=integrate(x/(1-cos(a*x)),x)
 --R
---R                2
---R               x
---R   (1)  - ------------
---R          2cos(ax) - 2
+--R   (1)
+--R                  sin(a x)                        2
+--R   2sin(a x)log(------------) - sin(a x)log(------------) - a x cos(a x) - a x
+--R                cos(a x) + 1                cos(a x) + 1
+--R   ---------------------------------------------------------------------------
+--R                                     2
+--R                                    a sin(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 58
-bb:=-x/a*cot(a*x)/2+2/a^2*log(sin((a*x)/2))
+--S 63
+bb:=-x/a*cot((a*x)/2)+2/a^2*log(sin((a*x)/2))
 --R
---R                 a x
---R        4log(sin(---)) - a x cot(a x)
---R                  2
+--R                 a x             a x
+--R        2log(sin(---)) - a x cot(---)
+--R                  2               2
 --R   (2)  -----------------------------
 --R                       2
---R                     2a
+--R                      a
 --R                                                     Type: Expression Integer
 --E
 
---S 59     14:385 Axiom cannot simplify this expression
+--S 64
 cc:=aa-bb
 --R
---R                                a x                                    2 2
---R        (- 4cos(ax) + 4)log(sin(---)) + (a x cos(ax) - a x)cot(a x) - a x
---R                                 2
---R   (3)  ------------------------------------------------------------------
---R                                   2            2
---R                                 2a cos(ax) - 2a
+--R   (3)
+--R                      sin(a x)                       a x
+--R       2sin(a x)log(------------) - 2sin(a x)log(sin(---))
+--R                    cos(a x) + 1                      2
+--R     + 
+--R                           2                 a x
+--R       - sin(a x)log(------------) + a x cot(---)sin(a x) - a x cos(a x) - a x
+--R                     cos(a x) + 1             2
+--R  /
+--R      2
+--R     a sin(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 65
+cotrule:=rule(cot(a) == cos(a)/sin(a))
+--R
+--R                  cos(a)
+--R   (4)  cot(a) == ------
+--R                  sin(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 66
+dd:=cotrule cc
+--R
+--R   (5)
+--R            a x               sin(a x)           a x                 a x
+--R       2sin(---)sin(a x)log(------------) - 2sin(---)sin(a x)log(sin(---))
+--R             2              cos(a x) + 1          2                   2
+--R     + 
+--R             a x                   2                 a x
+--R       - sin(---)sin(a x)log(------------) + a x cos(---)sin(a x)
+--R              2              cos(a x) + 1             2
+--R     + 
+--R                                 a x
+--R       (- a x cos(a x) - a x)sin(---)
+--R                                  2
+--R  /
+--R      2    a x
+--R     a sin(---)sin(a x)
+--R            2
+--R                                                     Type: Expression Integer
+--E
+
+--S 67
+ee:=expandLog dd
+--R
+--R   (6)
+--R            a x                              a x                 a x
+--R       2sin(---)sin(a x)log(sin(a x)) - 2sin(---)sin(a x)log(sin(---))
+--R             2                                2                   2
+--R     + 
+--R             a x
+--R       - sin(---)sin(a x)log(cos(a x) + 1)
+--R              2
+--R     + 
+--R                  a x            a x                                       a x
+--R     (- log(2)sin(---) + a x cos(---))sin(a x) + (- a x cos(a x) - a x)sin(---)
+--R                   2              2                                         2
+--R  /
+--R      2    a x
+--R     a sin(---)sin(a x)
+--R            2
+--R                                                     Type: Expression Integer
+--E
+
+--S 68     14:385 Schaums and Axiom agree
+complexNormalize ee
+--R
+--R   (7)  0
 --R                                                     Type: Expression Integer
 --E
 @
@@ -794,31 +901,41 @@ $$
 <<*>>=
 )clear all
 
---S 60
-aa:=integrate(1/(1+cos(ax)),x)
---R 
+--S 69
+aa:=integrate(1/(1+cos(a*x)),x)
 --R
---R             x
---R   (1)  -----------
---R        cos(ax) + 1
+--R           sin(a x)
+--R   (1)  --------------
+--R        a cos(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 61
-bb:=1/a*tan(a*x)/2
+--S 70
+bb:=1/a*tan((a*x)/2)
 --R
---R        tan(a x)
+--R            a x
+--R        tan(---)
+--R             2
 --R   (2)  --------
---R           2a
+--R            a
 --R                                                     Type: Expression Integer
 --E
 
---S 62     14:386 Axiom cannot simplify this expression
+--S 71
 cc:=aa-bb
 --R
---R        (- cos(ax) - 1)tan(a x) + 2a x
---R   (3)  ------------------------------
---R                2a cos(ax) + 2a
+--R                            a x
+--R        (- cos(a x) - 1)tan(---) + sin(a x)
+--R                             2
+--R   (3)  -----------------------------------
+--R                   a cos(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 72     14:386 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
 --R                                                     Type: Expression Integer
 --E
 @
@@ -832,7 +949,7 @@ $$
 <<*>>=
 )clear all
 
---S 63
+--S 73
 aa:=integrate(x/(1+cos(a*x)),x)
 --R 
 --R
@@ -845,7 +962,7 @@ aa:=integrate(x/(1+cos(a*x)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 64
+--S 74
 bb:=x/a*tan((a*x)/2)+2/a^2*log(cos((a*x)/2))
 --R
 --R                 a x             a x
@@ -857,7 +974,7 @@ bb:=x/a*tan((a*x)/2)+2/a^2*log(cos((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 65     14:387 Axiom cannot simplify this expression
+--S 75
 cc:=aa-bb
 --R
 --R   (3)
@@ -873,6 +990,30 @@ cc:=aa-bb
 --R     a cos(a x) + a
 --R                                                     Type: Expression Integer
 --E
+
+--S 76
+dd:=expandLog cc
+--R
+--R   (4)
+--R                                                                  a x
+--R       (cos(a x) + 1)log(cos(a x) + 1) + (- 2cos(a x) - 2)log(cos(---))
+--R                                                                   2
+--R     + 
+--R                                 a x
+--R       (- a x cos(a x) - a x)tan(---) + a x sin(a x) - log(2)cos(a x) - log(2)
+--R                                  2
+--R  /
+--R      2            2
+--R     a cos(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 77     14:387 Schaums and Axiom agree
+complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.388~~~~~$\displaystyle
@@ -884,7 +1025,7 @@ $$
 <<*>>=
 )clear all
 
---S 66
+--S 78
 aa:=integrate(1/(1-cos(a*x))^2,x)
 --R 
 --R
@@ -895,7 +1036,7 @@ aa:=integrate(1/(1-cos(a*x))^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E
 
---S 67
+--S 79
 bb:=-1/(2*a)*cot((a*x)/2)-1/(6*a)*cot((a*x)/2)^3
 --R
 --R              a x 3        a x
@@ -906,7 +1047,7 @@ bb:=-1/(2*a)*cot((a*x)/2)-1/(6*a)*cot((a*x)/2)^3
 --R                                                     Type: Expression Integer
 --E 
 
---S 68     14:388 Axiom cannot simplify this expression
+--S 80
 cc:=aa-bb
 --R
 --R   (3)
@@ -919,6 +1060,13 @@ cc:=aa-bb
 --R     (6a cos(a x) - 6a)sin(a x)
 --R                                                     Type: Expression Integer
 --E
+
+--S 81     14:388 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.389~~~~~$\displaystyle
@@ -930,7 +1078,7 @@ $$
 <<*>>=
 )clear all
 
---S 69
+--S 82
 aa:=integrate(1/(1+cos(a*x))^2,x)
 --R 
 --R
@@ -941,10 +1089,10 @@ aa:=integrate(1/(1+cos(a*x))^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 70
-bb:=1/(2*a)*tan((a*x)/2)+1/(6*a)*tan((a*x)/2)^2
+--S 83
+bb:=1/(2*a)*tan((a*x)/2)+1/(6*a)*tan((a*x)/2)^3
 --R
---R            a x 2        a x
+--R            a x 3        a x
 --R        tan(---)  + 3tan(---)
 --R             2            2
 --R   (2)  ---------------------
@@ -952,11 +1100,11 @@ bb:=1/(2*a)*tan((a*x)/2)+1/(6*a)*tan((a*x)/2)^2
 --R                                                     Type: Expression Integer
 --E
 
---S 71     14:389 Axiom cannot simplify this expression
+--S 84
 cc:=aa-bb
 --R
 --R   (3)
---R                  2                     a x 2
+--R                  2                     a x 3
 --R       (- cos(a x)  - 2cos(a x) - 1)tan(---)
 --R                                         2
 --R     + 
@@ -968,6 +1116,13 @@ cc:=aa-bb
 --R     6a cos(a x)  + 12a cos(a x) + 6a
 --R                                                     Type: Expression Integer
 --E
+
+--S 85     14:389 Schaums and Axiom agree
+complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.390~~~~~$\displaystyle
@@ -989,9 +1144,8 @@ $$
 <<*>>=
 )clear all
 
---S 72
+--S 86
 aa:=integrate(1/(p+q*cos(a*x)),x)
---R 
 --R
 --R   (1)
 --R                           +-------+
@@ -1015,13 +1169,14 @@ aa:=integrate(1/(p+q*cos(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 73
-bb1:=2/(a*sqrt(p^2-q^2))*atan(sqrt((p-q)/(p+q)))*tan(1/2*a*x)
+--S 87
+bb1:=2/(a*sqrt(p^2-q^2))*atan(sqrt((p-q)/(p+q))*tan(1/2*a*x))
+--R 
 --R
 --R                       +-------+
---R             a x       |- q + p
---R        2tan(---)atan( |------- )
---R              2       \| q + p
+--R                  a x  |- q + p
+--R        2atan(tan(---) |------- )
+--R                   2  \| q + p
 --R   (2)  -------------------------
 --R                +---------+
 --R                |   2    2
@@ -1029,8 +1184,8 @@ bb1:=2/(a*sqrt(p^2-q^2))*atan(sqrt((p-q)/(p+q)))*tan(1/2*a*x)
 --R                                                     Type: Expression Integer
 --E
 
---S 74
-bb2:=a/(a*sqrt(q^2-p^2))*log((tan(1/2*a*x)+sqrt((q+p)/(q-p)))/(tan(1/2*a*x)-sqrt((q+p)/(q-p))))
+--S 88
+bb2:=1/(a*sqrt(q^2-p^2))*log((tan(1/2*a*x)+sqrt((q+p)/(q-p)))/(tan(1/2*a*x)-sqrt((q+p)/(q-p))))
 --R
 --R               +-----+
 --R               |q + p        a x
@@ -1042,14 +1197,15 @@ bb2:=a/(a*sqrt(q^2-p^2))*log((tan(1/2*a*x)+sqrt((q+p)/(q-p)))/(tan(1/2*a*x)-sqrt
 --R              |-----  - tan(---)
 --R             \|q - p         2
 --R   (3)  --------------------------
---R                 +-------+
---R                 | 2    2
---R                \|q  - p
+--R                  +-------+
+--R                  | 2    2
+--R                a\|q  - p
 --R                                                     Type: Expression Integer
 --E
 
---S 75
+--S 89
 cc1:=aa.1-bb1
+--R 
 --R
 --R   (4)
 --R                                          +-------+
@@ -1058,10 +1214,10 @@ cc1:=aa.1-bb1
 --R       \|- q  + p  log(--------------------------------------------------)
 --R                                         q cos(a x) + p
 --R     + 
---R                   +-------+      +-------+
---R              a x  | 2    2       |- q + p
---R       - 2tan(---)\|q  - p  atan( |------- )
---R               2                 \| q + p
+--R           +-------+              +-------+
+--R           | 2    2          a x  |- q + p
+--R       - 2\|q  - p  atan(tan(---) |------- )
+--R                              2  \| q + p
 --R  /
 --R       +---------+ +-------+
 --R       |   2    2  | 2    2
@@ -1069,14 +1225,15 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 76
+--S 90
 cc2:=aa.2-bb1
+--R 
 --R
 --R                                                       +---------+
 --R                         +-------+                     |   2    2
---R               a x       |- q + p             sin(a x)\|- q  + p
---R        - 2tan(---)atan( |------- ) + 2atan(-----------------------)
---R                2       \| q + p            (q + p)cos(a x) + q + p
+--R                    a x  |- q + p             sin(a x)\|- q  + p
+--R        - 2atan(tan(---) |------- ) + 2atan(-----------------------)
+--R                     2  \| q + p            (q + p)cos(a x) + q + p
 --R   (5)  ------------------------------------------------------------
 --R                                  +---------+
 --R                                  |   2    2
@@ -1084,19 +1241,19 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 77
+--S 91
 cc3:=aa.1-bb2
 --R
 --R   (6)
---R                  +-----+
---R                  |q + p        a x
---R               -  |-----  - tan(---)
---R                 \|q - p         2
---R       - a log(---------------------)
---R                 +-----+
---R                 |q + p        a x
---R                 |-----  - tan(---)
---R                \|q - p         2
+--R                +-----+
+--R                |q + p        a x
+--R             -  |-----  - tan(---)
+--R               \|q - p         2
+--R       - log(---------------------)
+--R               +-----+
+--R               |q + p        a x
+--R               |-----  - tan(---)
+--R              \|q - p         2
 --R     + 
 --R                              +-------+
 --R                              | 2    2        2    2
@@ -1110,19 +1267,19 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 78     14:390 Axiom cannot simplify these expressions
+--S 92     14:390 Axiom cannot simplify these expressions
 cc4:=aa.2-bb2
 --R
 --R   (7)
---R                             +-----+
---R                             |q + p        a x
---R           +---------+    -  |-----  - tan(---)
---R           |   2    2       \|q - p         2
---R       - a\|- q  + p  log(---------------------)
 --R                            +-----+
 --R                            |q + p        a x
---R                            |-----  - tan(---)
---R                           \|q - p         2
+--R          +---------+    -  |-----  - tan(---)
+--R          |   2    2       \|q - p         2
+--R       - \|- q  + p  log(---------------------)
+--R                           +-----+
+--R                           |q + p        a x
+--R                           |-----  - tan(---)
+--R                          \|q - p         2
 --R     + 
 --R                                  +---------+
 --R         +-------+                |   2    2
@@ -1147,7 +1304,7 @@ $$
 <<*>>=
 )clear all
 
---S 79
+--S 93
 aa:=integrate(1/(p+q*cos(a*x))^2,x)
 --R 
 --R
@@ -1188,7 +1345,7 @@ aa:=integrate(1/(p+q*cos(a*x))^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 80
+--S 94
 t1:=integrate(1/(p+q*cos(a*x)),x)
 --R
 --R   (2)
@@ -1213,7 +1370,7 @@ t1:=integrate(1/(p+q*cos(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 81
+--S 95
 bb1:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.1
 --R
 --R   (3)
@@ -1236,7 +1393,7 @@ bb1:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 82
+--S 96
 bb2:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.2
 --R
 --R   (4)
@@ -1252,7 +1409,7 @@ bb2:=(q*sin(a*x))/(a*(q^2-p^2)*(p+q*cos(a*x)))-p/(q^2-p^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 83
+--S 97
 cc1:=aa.1-bb1
 --R
 --R   (5)
@@ -1274,7 +1431,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 84
+--S 98
 cc2:=aa.2-bb1
 --R
 --R   (6)
@@ -1296,7 +1453,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 85
+--S 99
 cc3:=aa.1-bb2
 --R
 --R   (7)
@@ -1318,7 +1475,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 86     14:391 Schaums and Axiom agree
+--S 100    14:391 Schaums and Axiom agree
 cc4:=aa.2-bb2
 --R
 --R   (8)  0
@@ -1334,35 +1491,26 @@ $$
 <<*>>=
 )clear all
 
---S 87
-aa:=integrate(1/(p^2+a^2*cos(a*x)),x)
+--S 101
+aa:=integrate(1/(p^2+q^2*cos(a*x)^2),x)
 --R 
 --R
 --R   (1)
---R                            +---------+
---R            2            2  |   4    4      4    4
---R        (- p cos(a x) - a )\|- p  + a   + (p  - a )sin(a x)
---R    log(---------------------------------------------------)
---R                           2            2
---R                          a cos(a x) + p
---R   [--------------------------------------------------------,
---R                            +---------+
---R                            |   4    4
---R                          a\|- p  + a
---R                        +-------+
---R                        | 4    4
---R               sin(a x)\|p  - a
---R    2atan(---------------------------)
---R            2    2             2    2
---R          (p  + a )cos(a x) + p  + a
---R    ----------------------------------]
---R                  +-------+
---R                  | 4    4
---R                a\|p  - a
---R                                     Type: Union(List Expression Integer,...)
+--R                 +-------+
+--R                 | 2    2                 2    2              2
+--R        sin(a x)\|q  + p               ((q  - p )cos(a x) - 2p )sin(a x)
+--R   atan(------------------) - atan(-----------------------------------------)
+--R         2p cos(a x) + 2p                                          +-------+
+--R                                              2                    | 2    2
+--R                                   (p cos(a x)  + 2p cos(a x) + p)\|q  + p
+--R   --------------------------------------------------------------------------
+--R                                      +-------+
+--R                                      | 2    2
+--R                                  a p\|q  + p
+--R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 88
+--S 102
 bb:=1/(a*p*sqrt(p^2+q^2))*atan((p*tan(a*x))/sqrt(p^2+q^2))
 --R
 --R             p tan(a x)
@@ -1377,47 +1525,232 @@ bb:=1/(a*p*sqrt(p^2+q^2))*atan((p*tan(a*x))/sqrt(p^2+q^2))
 --R                                                     Type: Expression Integer
 --E
 
---S 89
-cc1:=aa.1-bb
+--S 103
+cc:=aa-bb
 --R
 --R   (3)
---R                                          +---------+
---R         +-------+        2            2  |   4    4      4    4
---R         | 2    2     (- p cos(a x) - a )\|- p  + a   + (p  - a )sin(a x)
---R       p\|q  + p  log(---------------------------------------------------)
---R                                         2            2
---R                                        a cos(a x) + p
+--R                     +-------+
+--R                     | 2    2
+--R            sin(a x)\|q  + p           p tan(a x)
+--R       atan(------------------) - atan(----------)
+--R             2p cos(a x) + 2p           +-------+
+--R                                        | 2    2
+--R                                       \|q  + p
 --R     + 
---R          +---------+
---R          |   4    4      p tan(a x)
---R       - \|- p  + a  atan(----------)
---R                           +-------+
---R                           | 2    2
---R                          \|q  + p
+--R                     2    2              2
+--R                  ((q  - p )cos(a x) - 2p )sin(a x)
+--R       - atan(-----------------------------------------)
+--R                                              +-------+
+--R                         2                    | 2    2
+--R              (p cos(a x)  + 2p cos(a x) + p)\|q  + p
 --R  /
---R         +---------+ +-------+
---R         |   4    4  | 2    2
---R     a p\|- p  + a  \|q  + p
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 90     14:392 Axiom cannot simplify these expressions
-cc2:=aa.2-bb
+--S 104
+dd:=ratDenom cc
 --R
 --R   (4)
---R                                  +-------+
---R      +-------+                   | 4    4          +-------+
---R      | 2    2           sin(a x)\|p  - a           | 4    4      p tan(a x)
---R   2p\|q  + p  atan(---------------------------) - \|p  - a  atan(----------)
---R                      2    2             2    2                    +-------+
---R                    (p  + a )cos(a x) + p  + a                     | 2    2
---R                                                                  \|q  + p
---R   --------------------------------------------------------------------------
---R                                 +-------+ +-------+
---R                                 | 4    4  | 2    2
---R                             a p\|p  - a  \|q  + p
+--R                                   +-------+
+--R          +-------+                | 2    2
+--R          | 2    2      p tan(a x)\|q  + p
+--R       - \|q  + p  atan(--------------------)
+--R                                2    2
+--R                               q  + p
+--R     + 
+--R       -
+--R             +-------+
+--R             | 2    2
+--R            \|q  + p
+--R         *
+--R                                                          +-------+
+--R                           2    2              2          | 2    2
+--R                        ((q  - p )cos(a x) - 2p )sin(a x)\|q  + p
+--R            atan(--------------------------------------------------------)
+--R                     2    3         2        2     3               2    3
+--R                 (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R     + 
+--R                               +-------+
+--R        +-------+              | 2    2
+--R        | 2    2      sin(a x)\|q  + p
+--R       \|q  + p  atan(------------------)
+--R                       2p cos(a x) + 2p
+--R  /
+--R          2      3
+--R     a p q  + a p
 --R                                                     Type: Expression Integer
 --E
+
+--S 105
+atanrule2:=rule(atan(x) == 1/2*%i*(log(1-%i*x)-log(1+%i*x)))
+--R
+--R                     1                    1
+--R   (5)  atan(x) == - - %i log(%i x + 1) + - %i log(- %i x + 1)
+--R                     2                    2
+--RType: RewriteRule(Integer,Complex Fraction Integer,Expression Complex Fraction Integer)
+--E
+
+--S 106
+ee:=atanrule2 dd
+--R
+--R   (6)
+--R                                       +-------+
+--R            +-------+                  | 2    2     2    2
+--R       1    | 2    2     %i p tan(a x)\|q  + p   + q  + p
+--R       - %i\|q  + p  log(---------------------------------)
+--R       2                               2    2
+--R                                      q  + p
+--R     + 
+--R              +-------+
+--R         1    | 2    2
+--R         - %i\|q  + p
+--R         2
+--R      *
+--R         log
+--R                                                           +-------+
+--R                      2       2                 2          | 2    2
+--R                ((%i q  - %i p )cos(a x) - 2%i p )sin(a x)\|q  + p
+--R              + 
+--R                    2    3         2        2     3               2    3
+--R                (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R           /
+--R                  2    3         2        2     3               2    3
+--R              (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R     + 
+--R                                         +-------+
+--R                           1             | 2    2
+--R              +-------+    - %i sin(a x)\|q  + p   + p cos(a x) + p
+--R         1    | 2    2     2
+--R       - - %i\|q  + p  log(----------------------------------------)
+--R         2                              p cos(a x) + p
+--R     + 
+--R                                         +-------+
+--R                           1             | 2    2
+--R            +-------+    - - %i sin(a x)\|q  + p   + p cos(a x) + p
+--R       1    | 2    2       2
+--R       - %i\|q  + p  log(------------------------------------------)
+--R       2                               p cos(a x) + p
+--R     + 
+--R       -
+--R                 +-------+
+--R            1    | 2    2
+--R            - %i\|q  + p
+--R            2
+--R         *
+--R            log
+--R                                                                +-------+
+--R                           2       2                 2          | 2    2
+--R                   ((- %i q  + %i p )cos(a x) + 2%i p )sin(a x)\|q  + p
+--R                 + 
+--R                       2    3         2        2     3               2    3
+--R                   (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R              /
+--R                     2    3         2        2     3               2    3
+--R                 (p q  + p )cos(a x)  + (2p q  + 2p )cos(a x) + p q  + p
+--R     + 
+--R                                           +-------+
+--R              +-------+                    | 2    2     2    2
+--R         1    | 2    2     - %i p tan(a x)\|q  + p   + q  + p
+--R       - - %i\|q  + p  log(-----------------------------------)
+--R         2                                2    2
+--R                                         q  + p
+--R  /
+--R          2      3
+--R     a p q  + a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 107
+ff:=expandLog ee
+--R
+--R   (7)
+--R              +-------+               +-------+
+--R         1    | 2    2                | 2    2        2       2
+--R       - - %i\|q  + p  log(p tan(a x)\|q  + p   + %i q  + %i p )
+--R         2
+--R     + 
+--R            +-------+               +-------+
+--R       1    | 2    2                | 2    2        2       2
+--R       - %i\|q  + p  log(p tan(a x)\|q  + p   - %i q  - %i p )
+--R       2
+--R     + 
+--R       -
+--R                 +-------+
+--R            1    | 2    2
+--R            - %i\|q  + p
+--R            2
+--R         *
+--R            log
+--R                                                   +-------+
+--R                    2    2              2          | 2    2
+--R                 ((q  - p )cos(a x) - 2p )sin(a x)\|q  + p
+--R               + 
+--R                        2       3         2           2        3
+--R                 (%i p q  + %i p )cos(a x)  + (2%i p q  + 2%i p )cos(a x)
+--R               + 
+--R                       2       3
+--R                 %i p q  + %i p
+--R     + 
+--R              +-------+
+--R         1    | 2    2
+--R         - %i\|q  + p
+--R         2
+--R      *
+--R         log
+--R                                                +-------+
+--R                 2    2              2          | 2    2
+--R              ((q  - p )cos(a x) - 2p )sin(a x)\|q  + p
+--R            + 
+--R                       2       3         2             2        3
+--R              (- %i p q  - %i p )cos(a x)  + (- 2%i p q  - 2%i p )cos(a x)
+--R            + 
+--R                      2       3
+--R              - %i p q  - %i p
+--R     + 
+--R            +-------+             +-------+
+--R       1    | 2    2              | 2    2
+--R       - %i\|q  + p  log(sin(a x)\|q  + p   + 2%i p cos(a x) + 2%i p)
+--R       2
+--R     + 
+--R              +-------+             +-------+
+--R         1    | 2    2              | 2    2
+--R       - - %i\|q  + p  log(sin(a x)\|q  + p   - 2%i p cos(a x) - 2%i p)
+--R         2
+--R     + 
+--R                                                                     +-------+
+--R                   1        1       1          1                     | 2    2
+--R     (%i log(%i) - - %i log(- %i) + - %i log(- - %i) - %i log(- %i))\|q  + p
+--R                   2        2       2          2
+--R  /
+--R          2      3
+--R     a p q  + a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 108    14:392 Schaums and Axiom differ by a constant
+complexNormalize ff
+--R
+--R   (8)
+--R                      1        1       1          1
+--R         %i log(%i) - - %i log(- %i) + - %i log(- - %i) - %i log(- %i)
+--R                      2        2       2          2
+--R       + 
+--R           1
+--R         - - %i log(- 1)
+--R           2
+--R    *
+--R        +-------+
+--R        | 2    2
+--R       \|q  + p
+--R  /
+--R          2      3
+--R     a p q  + a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
 @
 
 \section{\cite{1}:14.393~~~~~$\displaystyle
@@ -1437,7 +1770,7 @@ $$
 <<*>>=
 )clear all
 
---S 91
+--S 109
 aa:=integrate(1/(p^2-q^2*cos(a*x)^2),x)
 --R 
 --R
@@ -1473,8 +1806,8 @@ aa:=integrate(1/(p^2-q^2*cos(a*x)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 92
-bb1:=1/(a*p*sqrt(p^2-a^2))*atan((p*tan(a*x))/sqrt(p^2-q^2))
+--S 110
+bb1:=1/(a*p*sqrt(p^2-q^2))*atan((p*tan(a*x))/sqrt(p^2-q^2))
 --R
 --R              p tan(a x)
 --R        atan(------------)
@@ -1482,13 +1815,13 @@ bb1:=1/(a*p*sqrt(p^2-a^2))*atan((p*tan(a*x))/sqrt(p^2-q^2))
 --R              |   2    2
 --R             \|- q  + p
 --R   (2)  ------------------
---R               +-------+
---R               | 2    2
---R           a p\|p  - a
+--R              +---------+
+--R              |   2    2
+--R          a p\|- q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 93
+--S 111
 bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((p*tan(a*x)-sqrt(q^2-p^2))/(p*tan(a*x)+sqrt(q^2-p^2)))
 --R
 --R               +-------+
@@ -1505,13 +1838,13 @@ bb2:=1/(2*a*p*sqrt(q^2-p^2))*log((p*tan(a*x)-sqrt(q^2-p^2))/(p*tan(a*x)+sqrt(q^2
 --R                                                     Type: Expression Integer
 --E
 
---S 94
+--S 112
 cc1:=aa.1-bb1
 --R
 --R   (4)
---R          +-------+
---R          | 2    2
---R         \|p  - a
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
 --R      *
 --R         log
 --R                                           +-------+
@@ -1531,38 +1864,38 @@ cc1:=aa.1-bb1
 --R                          |   2    2
 --R                         \|- q  + p
 --R  /
---R          +-------+ +-------+
---R          | 2    2  | 2    2
---R     2a p\|p  - a  \|q  - p
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
 --R                                                     Type: Expression Integer
 --E
 
---S 95
+--S 113
 cc2:=aa.2-bb1
 --R
 --R   (5)
---R                               +---------+
---R        +-------+              |   2    2      +---------+
---R        | 2    2      sin(a x)\|- q  + p       |   2    2       p tan(a x)
---R       \|p  - a  atan(--------------------) - \|- q  + p  atan(------------)
---R                        2p cos(a x) + 2p                        +---------+
---R                                                                |   2    2
---R                                                               \|- q  + p
+--R                     +---------+
+--R                     |   2    2
+--R            sin(a x)\|- q  + p            p tan(a x)
+--R       atan(--------------------) - atan(------------)
+--R              2p cos(a x) + 2p            +---------+
+--R                                          |   2    2
+--R                                         \|- q  + p
 --R     + 
---R        +-------+             2    2              2
---R        | 2    2           ((q  + p )cos(a x) + 2p )sin(a x)
---R       \|p  - a  atan(-------------------------------------------)
---R                                                      +---------+
---R                                 2                    |   2    2
---R                      (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
+--R                    2    2              2
+--R                 ((q  + p )cos(a x) + 2p )sin(a x)
+--R       atan(-------------------------------------------)
+--R                                            +---------+
+--R                       2                    |   2    2
+--R            (p cos(a x)  + 2p cos(a x) + p)\|- q  + p
 --R  /
---R         +---------+ +-------+
---R         |   2    2  | 2    2
---R     a p\|- q  + p  \|p  - a
+--R         +---------+
+--R         |   2    2
+--R     a p\|- q  + p
 --R                                                     Type: Expression Integer
 --E
 
---S 96
+--S 114
 cc3:=aa.1-bb2
 --R
 --R   (6)
@@ -1588,7 +1921,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 97     14:393 Axiom cannot simplify these expressions
+--S 115
 cc4:=aa.2-bb2
 --R
 --R   (7)
@@ -1618,6 +1951,244 @@ cc4:=aa.2-bb2
 --R     2a p\|- q  + p  \|q  - p
 --R                                                     Type: Expression Integer
 --E
+
+--S 116
+dd2:=ratDenom cc2
+--R
+--R   (8)
+--R                                     +---------+
+--R          +---------+                |   2    2
+--R          |   2    2      p tan(a x)\|- q  + p
+--R       - \|- q  + p  atan(----------------------)
+--R                                   2    2
+--R                                  q  - p
+--R     + 
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R      *
+--R                                                      +---------+
+--R                       2    2              2          |   2    2
+--R                    ((q  + p )cos(a x) + 2p )sin(a x)\|- q  + p
+--R         atan(--------------------------------------------------------)
+--R                  2    3         2        2     3               2    3
+--R              (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R     + 
+--R                                   +---------+
+--R          +---------+              |   2    2
+--R          |   2    2      sin(a x)\|- q  + p
+--R       - \|- q  + p  atan(--------------------)
+--R                            2p cos(a x) + 2p
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 117
+tanrule:=rule(tan(a) == sin(a)/cos(a))
+--R
+--R                  sin(a)
+--R   (9)  tan(a) == ------
+--R                  cos(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 118
+ee2:=tanrule dd2
+--R
+--R   (10)
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R      *
+--R                                                      +---------+
+--R                       2    2              2          |   2    2
+--R                    ((q  + p )cos(a x) + 2p )sin(a x)\|- q  + p
+--R         atan(--------------------------------------------------------)
+--R                  2    3         2        2     3               2    3
+--R              (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R     + 
+--R                                   +---------+
+--R          +---------+              |   2    2
+--R          |   2    2      sin(a x)\|- q  + p
+--R       - \|- q  + p  atan(--------------------)
+--R                            2p cos(a x) + 2p
+--R     + 
+--R                                     +---------+
+--R          +---------+                |   2    2
+--R          |   2    2      p sin(a x)\|- q  + p
+--R       - \|- q  + p  atan(----------------------)
+--R                               2    2
+--R                             (q  - p )cos(a x)
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 119
+atanrule2:=rule(atan(x) == 1/2*%i*(log(1-%i*x)-log(1+%i*x)))
+--R
+--R                      1                    1
+--R   (11)  atan(x) == - - %i log(%i x + 1) + - %i log(- %i x + 1)
+--R                      2                    2
+--RType: RewriteRule(Integer,Complex Fraction Integer,Expression Complex Fraction Integer)
+--E
+
+--S 120
+ff2:=atanrule2 ee2
+--R
+--R   (12)
+--R       -
+--R                 +---------+
+--R            1    |   2    2
+--R            - %i\|- q  + p
+--R            2
+--R         *
+--R            log
+--R                                                              +---------+
+--R                         2       2                 2          |   2    2
+--R                   ((%i q  + %i p )cos(a x) + 2%i p )sin(a x)\|- q  + p
+--R                 + 
+--R                       2    3         2        2     3               2    3
+--R                   (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R              /
+--R                     2    3         2        2     3               2    3
+--R                 (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R     + 
+--R                                         +---------+
+--R                           1             |   2    2
+--R            +---------+    - %i sin(a x)\|- q  + p   + p cos(a x) + p
+--R       1    |   2    2     2
+--R       - %i\|- q  + p  log(------------------------------------------)
+--R       2                                 p cos(a x) + p
+--R     + 
+--R                                         +---------+
+--R            +---------+                  |   2    2      2    2
+--R       1    |   2    2     %i p sin(a x)\|- q  + p   + (q  - p )cos(a x)
+--R       - %i\|- q  + p  log(---------------------------------------------)
+--R       2                                   2    2
+--R                                         (q  - p )cos(a x)
+--R     + 
+--R                                             +---------+
+--R              +---------+                    |   2    2      2    2
+--R         1    |   2    2     - %i p sin(a x)\|- q  + p   + (q  - p )cos(a x)
+--R       - - %i\|- q  + p  log(-----------------------------------------------)
+--R         2                                    2    2
+--R                                            (q  - p )cos(a x)
+--R     + 
+--R                                             +---------+
+--R                               1             |   2    2
+--R              +---------+    - - %i sin(a x)\|- q  + p   + p cos(a x) + p
+--R         1    |   2    2       2
+--R       - - %i\|- q  + p  log(--------------------------------------------)
+--R         2                                  p cos(a x) + p
+--R     + 
+--R              +---------+
+--R         1    |   2    2
+--R         - %i\|- q  + p
+--R         2
+--R      *
+--R         log
+--R                                                             +---------+
+--R                        2       2                 2          |   2    2
+--R                ((- %i q  - %i p )cos(a x) - 2%i p )sin(a x)\|- q  + p
+--R              + 
+--R                    2    3         2        2     3               2    3
+--R                (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R           /
+--R                  2    3         2        2     3               2    3
+--R              (p q  - p )cos(a x)  + (2p q  - 2p )cos(a x) + p q  - p
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 121
+gg2:=expandLog ff2
+--R
+--R   (13)
+--R              +---------+
+--R         1    |   2    2
+--R         - %i\|- q  + p
+--R         2
+--R      *
+--R         log
+--R                                                +---------+
+--R                 2    2              2          |   2    2
+--R              ((q  + p )cos(a x) + 2p )sin(a x)\|- q  + p
+--R            + 
+--R                     2       3         2           2        3                  2
+--R              (%i p q  - %i p )cos(a x)  + (2%i p q  - 2%i p )cos(a x) + %i p q
+--R            + 
+--R                    3
+--R              - %i p
+--R     + 
+--R       -
+--R                 +---------+
+--R            1    |   2    2
+--R            - %i\|- q  + p
+--R            2
+--R         *
+--R            log
+--R                                                   +---------+
+--R                    2    2              2          |   2    2
+--R                 ((q  + p )cos(a x) + 2p )sin(a x)\|- q  + p
+--R               + 
+--R                          2       3         2             2        3
+--R                 (- %i p q  + %i p )cos(a x)  + (- 2%i p q  + 2%i p )cos(a x)
+--R               + 
+--R                         2       3
+--R                 - %i p q  + %i p
+--R     + 
+--R              +---------+               +---------+
+--R         1    |   2    2                |   2    2         2       2
+--R       - - %i\|- q  + p  log(p sin(a x)\|- q  + p   + (%i q  - %i p )cos(a x))
+--R         2
+--R     + 
+--R            +---------+               +---------+
+--R       1    |   2    2                |   2    2           2       2
+--R       - %i\|- q  + p  log(p sin(a x)\|- q  + p   + (- %i q  + %i p )cos(a x))
+--R       2
+--R     + 
+--R              +---------+             +---------+
+--R         1    |   2    2              |   2    2
+--R       - - %i\|- q  + p  log(sin(a x)\|- q  + p   + 2%i p cos(a x) + 2%i p)
+--R         2
+--R     + 
+--R            +---------+             +---------+
+--R       1    |   2    2              |   2    2
+--R       - %i\|- q  + p  log(sin(a x)\|- q  + p   - 2%i p cos(a x) - 2%i p)
+--R       2
+--R     + 
+--R                                           +---------+
+--R        1        1       1          1      |   2    2
+--R       (- %i log(- %i) - - %i log(- - %i))\|- q  + p
+--R        2        2       2          2
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
+
+--S 122    14:393 Schaums and Axiom differ by a constant
+hh2:=complexNormalize gg2
+--R
+--R   (14)
+--R          1              1        1       1          1       1
+--R       (- - %i log(%i) + - %i log(- %i) - - %i log(- - %i) + - %i log(- %i))
+--R          2              2        2       2          2       2
+--R    *
+--R        +---------+
+--R        |   2    2
+--R       \|- q  + p
+--R  /
+--R          2      3
+--R     a p q  - a p
+--R                                    Type: Expression Complex Fraction Integer
+--E
 @
 
 \section{\cite{1}:14.394~~~~~$\displaystyle
@@ -1629,7 +2200,7 @@ $$
 <<*>>=
 )clear all
 
---S 98     14:394 Axiom cannot compute this integral
+--S 123    14:394 Axiom cannot compute this integral
 aa:=integrate(x^m*cos(a*x),x)
 --R 
 --R
@@ -1649,7 +2220,7 @@ $$
 <<*>>=
 )clear all
 
---S 99     14:395 Axiom cannot compute this integral
+--S 124    14:395 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)/x^n,x)
 --R 
 --R
@@ -1670,7 +2241,7 @@ $$
 <<*>>=
 )clear all
 
---S 100    14:396 Axiom cannot compute this integral
+--S 125    14:396 Axiom cannot compute this integral
 aa:=integrate(cos(a*x)^n,x)
 --R 
 --R
@@ -1691,7 +2262,7 @@ $$
 <<*>>=
 )clear all
 
---S 101    14:397 Axiom cannot compute this integral
+--S 126    14:397 Axiom cannot compute this integral
 aa:=integrate(1/(cos(a*x))^n,x)
 --R 
 --R
@@ -1714,7 +2285,7 @@ $$
 <<*>>=
 )clear all
 
---S 102    14:398 Axiom cannot compute this integral
+--S 127    14:398 Axiom cannot compute this integral
 aa:=integrate(x/cos(a*x)^n,x)
 --R 
 --R
